<template lang="pug">
.field
	.field-body
		component(
			v-for='(component, i) in components' :key='i'
			:is='component' )
</template>

<script setup>
import { useSlots } from "vue"

const props = defineProps({
	expanded: Boolean
})

const slots = useSlots()
const components = slots.default()
</script>